Class TermsClientImpl

All Implemented Interfaces:
Pageable<TermsAndConditions>, PageablePost<TermsAndConditions>, TermsClient

public class TermsClientImpl extends ResourceClientBase<TermsAndConditions, TermsAndConditionsJson> implements TermsClient
Internal client implementation for the Equinix Internet Access (EIA) v1 terms-and-conditions lookup GET /internetAccess/v1/terms. The TermsAndConditions response is read-only, so the deserialized TermsAndConditionsJson (which implements TermsAndConditions directly) is returned without a wrapper.